Name:           python-elasticsearch-curator
Version:        8.0.4
Release:        1%{dist}
Summary:        Tending your Elasticsearch indices and snapshots

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/elastic/curator
Source:         https://github.com/elastic/curator/archive/refs/tags/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-hatchling



# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'elasticsearch_curator' generated automatically by pyp2spec.}


%description %_description

%package -n     python%{python3_pkgversion}-elasticsearch-curator
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-elasticsearch8
Requires:       python%{python3_pkgversion}-elastic-transport
Requires:       python%{python3_pkgversion}-voluptuous
Requires:       python%{python3_pkgversion}-es_client
Provides:       elasticsearch-curator = %{version}
Obsoletes:      elasticsearch-curator < 8

%description -n python%{python3_pkgversion}-elasticsearch-curator %_description


%prep
%autosetup -p1 -n curator-%{version}





%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto



%files -n python%{python3_pkgversion}-elasticsearch-curator
%{python3_sitelib}/curator/*
%{python3_sitelib}/elasticsearch_curator-%{version}.dist-info/*
%{_bindir}/curator
%{_bindir}/curator_cli
%{_bindir}/es_repo_mgr


